libpam-gnome-keyring_3.18.3-0ubuntu2_amd64.deb


Advertisement

Description

libpam-gnome-keyring - PAM module to unlock the GNOME keyring upon login

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libpam-gnome-keyring_3.18.3-0ubuntu2_amd64.deb
Package name libpam-gnome-keyring
Package version 3.18.3
Package release 0ubuntu2
Package architecture amd64
Package type deb
Category admin
Homepage https://wiki.gnome.org/GnomeKeyring
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 35.61 KB
Installed size 347.00 KB
gnome-keyring is a daemon in the session, similar to ssh-agent,
and other applications can use it to store passwords and other
sensitive information.
This package contains a PAM module that will automatically unlock the
keyrings using your login password, making gnome-keyring usage
transparent without losing its security benefits.
When installed, this module will automatically be used by GDM and
gnome-screensaver to unlock your keyrings when logging in and when
unlocking the screen saver.

Alternatives

Package Version Architecture Repository
libpam-gnome-keyring_3.18.3-0ubuntu2.1_i386.deb 3.18.3 i386 Ubuntu Updates Main
libpam-gnome-keyring_3.18.3-0ubuntu2.1_amd64.deb 3.18.3 amd64 Ubuntu Updates Main
libpam-gnome-keyring_3.18.3-0ubuntu2_i386.deb 3.18.3 i386 Ubuntu Main
libpam-gnome-keyring - - -

Requires

Name Value
libc6 >= 2.14
libpam-runtime >= 1.0.1-6
libpam0g >= 0.99.7.1
libselinux1 >= 1.32
multiarch-support -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libpam-gnome-keyring_3.18.3-0ubuntu2_amd64.deb
Source Package gnome-keyring

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpam-gnome-keyring deb package:
    # sudo apt-get install libpam-gnome-keyring

Files

Path
/lib/x86_64-linux-gnu/security/pam_gnome_keyring.so
/usr/share/doc/libpam-gnome-keyring/AUTHORS
/usr/share/doc/libpam-gnome-keyring/NEWS.gz
/usr/share/doc/libpam-gnome-keyring/README
/usr/share/doc/libpam-gnome-keyring/README.Debian
/usr/share/doc/libpam-gnome-keyring/changelog.Debian.gz
/usr/share/doc/libpam-gnome-keyring/copyright
/usr/share/pam-configs/gnome-keyring

Changelog

2015-11-01 - Dmitry Shachnev <mitya57@ubuntu.com>
gnome-keyring (3.18.3-0ubuntu2) xenial; urgency=medium
* Merge with Debian unstable, remaining changes:
- debian/control, debian/*.install, debian/rules:
+ Change for multiarch support, install pkcs11 in its own binary.
- debian/gnome-keyring.conf, debian/gnome-keyring-ssh.conf:
+ Provide upstart user session jobs.
- debian/patches/04_nodisplay_autostart.patch:
+ Mark autostart files as NoDisplay=true.
- debian/gnome-keyring.ubiquity, debian/rules:
+ Apply capabilities at the end of the ubiquity process to make sure new
installs have gnome-keyring-daemon with cap_ipc_lock+ep.
- debian/control.in:
+ Add Vcs-Bzr for Ubuntu.
2015-10-31 - Dmitry Shachnev <mitya57@debian.org>
gnome-keyring (3.18.3-1) UNRELEASED; urgency=medium
* New upstream bugfix release.
* Drop handle_aliases.patch, applied upstream.
2015-10-22 - Dmitry Shachnev <mitya57@debian.org>
gnome-keyring (3.18.2-1) unstable; urgency=medium
* New upstream bugfix release.
* Drop fix_object_path_regression.patch, applied upstream.
* Fix unlocking keyrings by aliases (handle_aliases.patch, closes: #802480).
2015-10-18 - Dmitry Shachnev <mitya57@debian.org>
gnome-keyring (3.18.1-1) unstable; urgency=medium
* New upstream release.
- Now the problems with forking should be really fixed (closes:
#800617, the third attempt).
* Drop fix_tests_for_new_glib.patch, applied upstream.
* Drop init_secret_service.patch, applied upstream.
* Drop fork_before_using_dbus.patch, the issue has been fixed properly.
* Backport two post-release upstream commits to properly unexport
secret prompt objects (fix_object_path_regression.patch; closes:
#800660).
2015-10-12 - Dmitry Shachnev <mitya57@debian.org>
gnome-keyring (3.18.0-4) unstable; urgency=medium
* Update fork_before_using_dbus.patch to make sure it does not break the
testsuite (should fix the build failure).
2015-10-12 - Dmitry Shachnev <mitya57@debian.org>
gnome-keyring (3.18.0-3) unstable; urgency=medium
[ Michael Biebl ]
* Use https:// for Vcs-Browser.
[ Dmitry Shachnev ]
* Add another proposed upstream patch from Cosimo Cecchi to make
sure fork is done before attempting to use D-Bus connections
(fork_before_using_dbus.patch; closes: #800617).
2015-10-07 - Dmitry Shachnev <mitya57@debian.org>
gnome-keyring (3.18.0-2) unstable; urgency=medium
* Add proposed upstream patch from Jan Alexander Steffens to fix
the D-Bus service activation race (hopefully closes: #800617).
2015-09-30 - Dmitry Shachnev <mitya57@debian.org>
gnome-keyring (3.18.0-1) unstable; urgency=medium
* New upstream release.
* Drop fix_test_import_segfault.patch, applied upstream.
* Set $HOME to debian/testhome when running the tests.
* Make tests pass with GLib ≥ 2.45.7 (fix_tests_for_new_glib.patch).
* Upload to unstable.
2015-09-06 - Dmitry Shachnev <mitya57@debian.org>
gnome-keyring (3.17.91-2) experimental; urgency=medium
* Replace Xvfb with dbus-run-session, it much better fits our needs.
* Fix segmentation fault in test-import (fix_test_import_segfault.patch).
2015-09-05 - Dmitry Shachnev <mitya57@debian.org>
gnome-keyring (3.17.91-1) experimental; urgency=medium
* New upstream beta release.
* Drop libdbus-1-dev build-dependency, no longer needed.
* Drop --disable-gpg-agent option, GPG agent has been dropped upstream.
* Also drop code to remove gnome-keyring-gpg.desktop.
* Remove outdated information from README.Debian.
* Run tests in Xvfb to make them really run (and not hang because of
missing D-Bus). Still ignore the result because two tests fail.

See Also

Package Description
libpam-krb5_4.7-2_amd64.deb PAM module for MIT Kerberos
libpam-modules-bin_1.1.8-3.2ubuntu2_amd64.deb Pluggable Authentication Modules for PAM - helper binaries
libpam-modules_1.1.8-3.2ubuntu2_amd64.deb Pluggable Authentication Modules for PAM
libpam-mount_2.14-1.1_amd64.deb PAM module that can mount volumes for a user session
libpam-p11_0.1.5-4_amd64.deb PAM module for using PKCS#11 smart cards
libpam-pwquality_1.3.0-0ubuntu1_amd64.deb PAM module to check password strength
libpam-radius-auth_1.3.17-0ubuntu4_amd64.deb The PAM RADIUS authentication module
libpam-runtime_1.1.8-3.2ubuntu2_all.deb Runtime support for the PAM library
libpam-sss_1.13.4-1ubuntu1_amd64.deb Pam module for the System Security Services Daemon
libpam-systemd_229-4ubuntu4_amd64.deb system and service manager - PAM module
libpam0g-dev_1.1.8-3.2ubuntu2_amd64.deb Development files for PAM
libpam0g_1.1.8-3.2ubuntu2_amd64.deb Pluggable Authentication Modules library
libpango-1.0-0_1.38.1-1_amd64.deb Layout and rendering of internationalized text
libpango1.0-0_1.38.1-1_amd64.deb Layout and rendering of internationalized text (transitional package)
libpango1.0-dev_1.38.1-1_amd64.deb Development files for the Pango
Advertisement
Advertisement